public class TestCMatrix {
    public static void _assert(boolean b) {
        if (!b) {
            throw new Error();
        }
    }
    
    
    public static void main(String arg[]) {
        CMatrix a = new CMatrix();
        _assert(a.getWidth() == 0);
        _assert(a.getHeight() == 0);

        a.setZero(10, 8);
        _assert(a.getWidth() == 10);
        _assert(a.getHeight() == 8);
        _assert(a.getRealFloat(0, 0) == 0);
        _assert(a.getImaginaryFloat(0, 0) == 0);
        
    }
}
